import styles from "./table.module.css"

import type { THeadProps } from "./table"

function TH({ children, width = "auto", ...props }: THeadProps) {
  return (
    <th className={styles.th} style={{ width }} {...props}>
      {children}
    </th>
  )
}

export default TH
